
QGIS Application - Bug report #3777

Attribute table record selection

2011-04-26 12:06 PM - bderstine -

Status: Closed

Priority: Low

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 13835

Description

Using Shapefile.  1.7.0 Build #15820.  Not sure if GUI is the correct component for this...

1: Attribute Table upward scrolling mouse selection.

Go to last record (bottom).

In Editing Mode or Not In Editing Mode: Left-click on record # and drag up to select records...  

(a) Table does not scroll above current extent.

(b) The count of # features selected in the window title bar does not update.  This causes problems when trying to run calculations on

(apparently) selected records that are not actually selected.

On the other hand, there are no problems when scrolling upward while selecting.  This was unexpected.

2: Attribute Table selecting and scrolling with shift key.

Click to select any record.

Shift + Up Arrow or shift+page up/page down does not extend the selection.  This was unexpected.

Related issues:

Related to QGIS Application - Bug report # 3551: Selecting with mouse in table Closed

History

#1 - 2011-12-16 12:45 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-16 06:27 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

#3 - 2012-09-04 12:00 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2014-06-28 07:39 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#5 - 2015-11-20 08:32 AM - Médéric RIBREUX

- Assignee deleted (nobody -)

- Status changed from Open to Feedback

- Pull Request or Patch supplied set to No
Hello, bug triage...

the two are still valids for QGIS 2.13 master but only on MS Windows for the first and both for the second point.

For the first part of the bug I think that there is a link with #3551 .

#6 - 2015-12-22 05:28 AM - Médéric RIBREUX

- Status changed from Feedback to Open

#7 - 2015-12-22 07:59 AM - Giovanni Manghi

- Status info deleted (1)

- Operating System deleted (Windows)

- OS version deleted (Windows 7 Pro 64-bit)

#8 - 2017-05-01 01:10 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#9 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

#10 - 2019-03-10 03:19 PM - Alister Hood

- Description updated

Number 2 is still valid for QGIS 3.x.  It could be considered a feature request, but it is certainly something that a user would try, expecting it to work.

#11 - 2019-03-10 05:59 PM - Giovanni Manghi

Alister Hood wrote:

Number 2 is still valid for QGIS 3.x.  It could be considered a feature request, but it is certainly something that a user would try, expecting it to work.

done #21543

2025-05-17 2/2

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

